Gönderen Konu: Bumblee kurdum fakat hata alıyorum  (Okunma sayısı 1190 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Bumblee kurdum fakat hata alıyorum
« : 08 Şubat 2018, 19:45:17 »
İşletim sistemim archman deepin. çift ekran kartım var nvidia ve intel. nvidia yı kullanabilmek için bumbelbee kurudm ancak herhangi bir program başlattığımda (örneğin opera yada chrome) şu şekilde hata almaktayım;

object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.


aynı hata çıktısı içerisinde;
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
[3705:3705:0208/175310.891570:ERROR:page_load_metrics_update_dispatcher.cc(208)] Invalid first_meaningful_paint (unset) for time_to_interactive 5.433 s

şeklinde hatalar almaktayım. programlar düzgün bir şekilde başlıyor ancak bu hataları nasıl çözebilirim? Herhangi endişe edecek bir durum varmıdır? Yardımcı olabilirseniz sevinirim teşekkürler. (İnternette bir kaç yerde ingilizce bazı başlıklar buldum ancak ingilizcem tırt olduğundan ve google amcanın düzeltmeleri yeterli gelmediğinden pekte anlamadım açıkçası.)

Çevrimdışı tulliana

  • az laf, çok iş...
  • Proje Sorumlusu
  • Gelişmiş Üye
  • *****
  • İleti: 2768
  • Teşekkür: +107/-0
    • http://archman.org
  • Dağıtım: Archman Linux
  • Masaüstü: XFCE
  • Sürüm: devel
  • Ekran Kartı: NVIDIA
  • Ekr. Kartı Sür.: Sahipli yazılım
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #1 : 08 Şubat 2018, 22:00:24 »
http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #2 : 09 Şubat 2018, 14:46:11 »
Adımları tekrarladım Aynı hataları aldım herhangi bir değişiklik yok.

metint@metint~/Masaüstü % optirun google-chrome-stable
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libvglfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
[2027:2074:0209/145351.456637:ERROR:browser_gpu_channel_host_factory.cc(121)] Failed to launch GPU process.


Başka birçözüm yolu nerebilir misiniz? Bu namussuz libdlfaker.so yu nereden bulup istediği yere atacağız yada nereden etkinleştireceğiz? Sanki yani bir dosya içinden etkinleştirmelimiyiz yoksa bulup gerekli yere mi koyalamlıyız? (Bunlar benim aklıma gelenler, sadece hatalardan çıkarımlarım diyelim)

Sizin bir neriniz nedir? Teşekkürler.

 

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #3 : 09 Şubat 2018, 15:05:48 »
Arkadaşlar şu sayfada anlatılanlar nedir yahu? Bi el atıverin, teşekkürler...

https://stackoverflow.com/questions/17723666/error-ld-so-object-ld-preload-cannot-be-preloaded-ignored/17723894

Bir de şyle bir sayfa var ama?..
https://forum.siduction.org/index.php?topic=6451.0

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #4 : 09 Şubat 2018, 15:12:11 »
https://fedoraproject.org/wiki/Bumblebee burada dediiğinne göre

ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded: ignored
You're probably trying to start a 32-bit application with bumblebee on a 64-bit system. Please install the 32-bit versions of the packages mentioned above.

If the problem persists, please try using the primus bridge that was mentioned above.
-----------
HATA: ld.so: LD_PRELOAD'dan 'libdlfaker.so' nesnesi önceden yüklenemez: yoksayıldı
Muhtemelen, 64 bitlik bir sistemde bumblebee ile 32 bitlik bir uygulamayı başlatmaya çalışıyorsunuzdur. Lütfen yukarıda bahsedilen paketlerin 32-bit sürümlerini kurun.

Sorun devam ederse, lütfen yukarıda belirtilen primus köprüyü kullanmayı deneyin.
------------

Buradan devam etsek acaba sorunu çözebilir miyiz?

Çevrimdışı tulliana

  • az laf, çok iş...
  • Proje Sorumlusu
  • Gelişmiş Üye
  • *****
  • İleti: 2768
  • Teşekkür: +107/-0
    • http://archman.org
  • Dağıtım: Archman Linux
  • Masaüstü: XFCE
  • Sürüm: devel
  • Ekran Kartı: NVIDIA
  • Ekr. Kartı Sür.: Sahipli yazılım
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #5 : 09 Şubat 2018, 18:21:56 »
Adımları tekrarladım Aynı hataları aldım herhangi bir değişiklik yok.

metint@metint~/Masaüstü % optirun google-chrome-stable
ERROR: ld.so: object 'libdlfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libvglfaker.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
[2027:2074:0209/145351.456637:ERROR:browser_gpu_channel_host_factory.cc(121)] Failed to launch GPU process.


Başka birçözüm yolu nerebilir misiniz? Bu namussuz libdlfaker.so yu nereden bulup istediği yere atacağız yada nereden etkinleştireceğiz? Sanki yani bir dosya içinden etkinleştirmelimiyiz yoksa bulup gerekli yere mi koyalamlıyız? (Bunlar benim aklıma gelenler, sadece hatalardan çıkarımlarım diyelim)

Sizin bir neriniz nedir? Teşekkürler.

 

Chome uygulaması AUR'da bulunan bir paket, bunların resmi desteği yoktur arch camiasında. Başka çıktılar ile ilerleyelim.

Kod: [Seç]
optirun glxspheres64
çıktısı nedir?
http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #6 : 10 Şubat 2018, 21:02:49 »
Herhangi bir hata vermiyor 200 FPS civarında sonuç alıyorum.

Çevrimdışı tulliana

  • az laf, çok iş...
  • Proje Sorumlusu
  • Gelişmiş Üye
  • *****
  • İleti: 2768
  • Teşekkür: +107/-0
    • http://archman.org
  • Dağıtım: Archman Linux
  • Masaüstü: XFCE
  • Sürüm: devel
  • Ekran Kartı: NVIDIA
  • Ekr. Kartı Sür.: Sahipli yazılım
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #7 : 10 Şubat 2018, 22:09:57 »
Herhangi bir hata vermiyor 200 FPS civarında sonuç alıyorum.

Bumblebee sorunsuz geçiş yapıyor ve optimus desteği etkin. Dediğim gibi AUR paketi ile ilgili bir sorun mevcut. Bu paketler resmi desteklenmeyen paketlerdir. Sorunlarla ve risklerle karşılaşma durumu her zaman vardır.

Kolay gelsin..
http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

Çevrimdışı metintek

  • Yeni Üye
  • *
  • İleti: 6
  • Teşekkür: +0/-0
  • Masaüstü: Diğer
Ynt: Bumblee kurdum fakat hata alıyorum
« Yanıtla #8 : 11 Şubat 2018, 10:46:27 »
Enteresan bir şekilde düzeldi çünkü depodan kurmuş olduğum blender ile de aynı hataları alıyordum fakat bu gün denediğimde herhangi bir hata döndürmedi. Ancak dediğiniz gibi aurdan kurulan programlarda bu gibi hatalar çıkabiliyor. Sistem 4 bit. Sanırım 32 bit programlarda bu gibi hatalar çıkıyor.
İlginiz için teşekkür ederim. çözüldü olarak işaretlenebilir sanırım.  :)